Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-2040

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2005-2040
Last Modified 05 Sep 2008 04:50:43
Published 20 Jun 2005 12:00:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-2040

Summary

Multiple buffer overflows in the getterminaltype function in telnetd for Heimdal before 0.6.5 may allow remote attackers to execute arbitrary code, a different vulnerability than CVE-2005-0468 and CVE-2005-0469.

Vulnerable Systems

Application

  • Telnetd 0.3f

  • Telnetd 0.4a

  • Telnetd 0.4b

  • Telnetd 0.4c

  • Telnetd 0.4d

  • Telnetd 0.4e

  • Telnetd 0.5.0

  • Telnetd 0.5.1

  • Telnetd 0.5.2

  • Telnetd 0.5.3

  • Telnetd 0.6

  • Telnetd 0.6.1

  • Telnetd 0.6.2


References

SECUNIA - 15718

CONFIRM - http://www.pdc.kth.se/heimdal/advisory/2005-06-20/

SUSE - SUSE-SA:2005:040

GENTOO - GLSA-200506-24

DEBIAN - DSA-758


Last Updated: 27 May 2016 10:40:22